Package org.apache.maven.scm.provider.starteam.command.add

## Class StarteamAddConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.starteam.command.add.StarteamAddConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class StarteamAddConsumer
    extends java.lang.Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Author:
  Dan T. Tran

### Constructor Summary

Constructors
`StarteamAddConsumer​(ScmLogger logger, java.io.File basedir)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)`
`java.util.List<ScmFile>` `getAddedFiles()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StarteamAddConsumer

    public StarteamAddConsumer​(ScmLogger logger,
                               java.io.File basedir)

### Method Detail

#### consumeLine

    public void consumeLine​(java.lang.String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getAddedFiles

    public java.util.List<ScmFile> getAddedFiles()